--- old/usr/src/uts/common/sys/int_limits.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_limits.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_LIMITS_H
 #define	_SYS_INT_LIMITS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_limits.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> as defined in the ISO C standard, ISO/IEC 9899:1999
@@ -80,9 +80,7 @@
  * where the ABI specifies "char" as unsigned when the translation mode is
  * not ANSI-C.
  */
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT8_MAX	(127)
-#endif
 #define	INT16_MAX	(32767)
 #define	INT32_MAX	(2147483647)
 #if defined(_LP64)
@@ -112,9 +110,7 @@
 #define	UINTMAX_MAX	UINT32_MAX
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_LEAST8_MAX	INT8_MAX
-#endif
 #define	INT_LEAST16_MAX INT16_MAX
 #define	INT_LEAST32_MAX INT32_MAX
 #ifdef INT64_MAX
@@ -128,9 +124,7 @@
 #define	UINT_LEAST64_MAX UINT64_MAX
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_FAST8_MAX	INT8_MAX
-#endif
 #define	INT_FAST16_MAX INT16_MAX
 #define	INT_FAST32_MAX INT32_MAX
 #ifdef INT64_MAX
@@ -204,9 +198,7 @@
  */
 #if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG6)
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT8_MIN	(-128)
-#endif
 #define	INT16_MIN	(-32767-1)
 #define	INT32_MIN	(-2147483647-1)
 #if defined(_LP64)
@@ -221,9 +213,7 @@
 #define	INTMAX_MIN	INT32_MIN
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_LEAST8_MIN	INT8_MIN
-#endif
 #define	INT_LEAST16_MIN	INT16_MIN
 #define	INT_LEAST32_MIN INT32_MIN
 #ifdef INT64_MIN
@@ -230,9 +220,7 @@
 #define	INT_LEAST64_MIN	INT64_MIN
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_FAST8_MIN	INT8_MIN
-#endif
 #define	INT_FAST16_MIN	INT16_MIN
 #define	INT_FAST32_MIN INT32_MIN
 #ifdef INT64_MIN
